### Signal

# SpiceClientGLib UsbDeviceManager::device-removed

#### Declaration

    void
    device_removed (
      SpiceUsbDeviceManager* self,
      SpiceUsbDevice* device,
      gpointer user_data
    )

#### Description [src]

The `SpiceUsbDeviceManager::device-removed` signal is emitted whenever an USB device has been removed.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`device`

  Type: `SpiceUsbDevice`

  `SpiceUsbDevice` boxed object corresponding to the removed device.

  The data is owned by the caller of the function.